POST /state_rule_groups

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/state_rule_groups

Create State Call Rules.

Creates a State Call Rules group with a rule_scope (account-wide or restricted to specific offer_ids) and at least one of state_business_hour_ids, state_call_limit_ids, or state_holiday_ids attached. Requires the company_preferences permission.

Params

Param name Description
rule_scope
Optional Blank value allowed

Rule Scope

  • Must be one of: company, offer.

offer_ids
Optional Blank value allowed

Offer Ids

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

state_business_hour_ids
Optional Blank value allowed

State Business Hour Ids

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

state_call_limit_ids
Optional Blank value allowed

State Call Limit Ids

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

state_holiday_ids
Optional Blank value allowed

State Holidays Ids

  • Must be an array of decimal values. EG: [0, 1, 2, 3]